## FMAObjectProfile FMAObjectProfile — The Action Profile Class Definition |

## Functions

#define | FMA_OBJECT_PROFILE()
#define | FMA_IS_OBJECT_PROFILE()
FMAObjectProfile * | fma_object_profile_new ()
FMAObjectProfile * | fma_object_profile_new_with_defaults ()
void | fma_object_profile_convert_v2_to_last ()

## Types and Values

#define | FMA_TYPE_OBJECT_PROFILE
| FMAObjectProfile

## Includes

    #include <filemanager-actions/fma-object-item.h>

## Description

## Functions

### FMA_OBJECT_PROFILE()

    #define FMA_OBJECT_PROFILE( object )           ( G_TYPE_CHECK_INSTANCE_CAST( object, FMA_TYPE_OBJECT_PROFILE, FMAObjectProfile ))

### FMA_IS_OBJECT_PROFILE()

    #define FMA_IS_OBJECT_PROFILE( object )        ( G_TYPE_CHECK_INSTANCE_TYPE( object, FMA_TYPE_OBJECT_PROFILE ))

### fma_object_profile_new ()

    FMAObjectProfile *
    fma_object_profile_new (void);

Allocates a new profile.

#### Returns

the newly allocated FMAObjectProfile profile.

Since: 2.30

### fma_object_profile_new_with_defaults ()

    FMAObjectProfile *
    fma_object_profile_new_with_defaults (void);

Allocates a new profile, and set default values.

#### Returns

the newly allocated FMAObjectProfile profile.

Since: 2.30

### fma_object_profile_convert_v2_to_last ()

    void
    fma_object_profile_convert_v2_to_last (FMAObjectProfile *profile);

Converts a v2 profile to the last version, setting the defaults as needed.

This is called after having converted a pre-v2 action on the newly created profile, or just after having read a v2 profile. In all situations, defaults are supposed to have been set.

#### Parameters

profile | the FMAObjectProfile profile to be converted. |

Since: 2.30

## Types and Values

### FMA_TYPE_OBJECT_PROFILE

    #define FMA_TYPE_OBJECT_PROFILE                ( fma_object_profile_get_type())

### FMAObjectProfile

    typedef struct {
    } FMAObjectProfile;